Bug 1707679 - The scc(CRD) resources can not be upgraded by 'oc patch' and 'oc edit'
Summary: The scc(CRD) resources can not be upgraded by 'oc patch' and 'oc edit'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.0
Assignee: Sally
QA Contact: zhou ying
URL:
Whiteboard:
: 1783242 (view as bug list)
Depends On:
Blocks: 1715290 1764147
TreeView+ depends on / blocked
 
Reported: 2019-05-08 04:58 UTC by scheng
Modified: 2019-12-13 12:37 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1715290 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:28:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 41 'None' 'closed' 'Bug 1707679: Don''t install CRD SCC types into global scheme' 2019-11-13 15:50:22 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:28:43 UTC

Comment 3 Sally 2019-05-13 17:45:14 UTC
This works:

$ cat patch.yaml
allowedUnsafeSysctls:
  - kernel.msg*

$ oc patch scc restricted -p "$(cat patch.yaml)" --type=merge
securitycontextconstraints.security.openshift.io/restricted patched


However, with move of SCC to CRD recently, edit might be broken, investigating.

Comment 4 Mark McLoughlin 2019-05-28 12:13:36 UTC
Related thread, for reference: http://post-office.corp.redhat.com/archives/aos-devel/2019-May/msg00547.html

Comment 5 Stefan Schimanski 2019-08-02 10:41:07 UTC
CRs will not get support for strategic merge patch. We cannot fix it this way. Why does oc user smp in the first place for this CRD? Moving to oc.

Comment 8 errata-xmlrpc 2019-10-16 06:28:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922

Comment 9 Standa Laznicka 2019-12-13 12:37:49 UTC
*** Bug 1783242 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.